Package org.apache.sling.query.impl.selector.parser

## Class SelectorSegment

- java.lang.Object
- - org.apache.sling.query.impl.selector.parser.SelectorSegment

    public class SelectorSegment
    extends Object

### Constructor Summary

Constructors
`SelectorSegment​(ParserContext context, boolean firstSegment)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`List<Attribute>` `getAttributes()`
`char` `getHierarchyOperator()`
`List<Modifier>` `getModifiers()`
`String` `getName()`
`String` `getType()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SelectorSegment

    public SelectorSegment​(ParserContext context,
                           boolean firstSegment)

### Method Detail

#### getType

    public String getType()

#### getName

    public String getName()

#### getAttributes

    public List<Attribute> getAttributes()

#### getHierarchyOperator

    public char getHierarchyOperator()

#### getModifiers

    public List<Modifier> getModifiers()

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`